// ---------------------------------------------------------------------------
// command_strings.cs -- Version 1.2 -- October 28, 2000
// by Lorne Laliberte (writer@planetstarsiege.com)
//
// Change "Command Acknowledged," "Command Declined" and "Objective Completed"
//
// http://www.writerscripts.com
// ---------------------------------------------------------------------------

include("writer\\version.cs");
version("writer\\command_strings.cs", "1.2", "Lorne Laliberte", "Oct 28, 2000");

include("writer\\save.cs");

// ---------------------------------------------------------------------------
// DEFAULT SETTINGS:
//
// Edit these if you're running this script for the first time
// All subsequent settings must be done in the config\wp_command_strings.cs file

    // Strings for Command Acknowledged, Declined and Completed
    $CommandStrings::Acknowledged = "Acknowledged~wacknow";
    $CommandStrings::Declined = "Unable to complete objective~wobjxcmp";
    $CommandStrings::Completed = "Objective Completed~wobjcomp";

// ---------------------------------------------------------------------------

WriterPrefs::load("command_strings");

// overrride functions in client.cs:

function commandAck()
{
	// Placed here to avoid binding problems with gui.
	remoteEval(2048,CStatus,1,$CommandStrings::Acknowledged);
}

function commandDeclined()
{
	// Placed here to avoid binding problems with gui.
	remoteEval(2048,CStatus,0,$CommandStrings::Declined);
}

function CommandCompleted()
{
	// Placed here to avoid binding problems with gui.
	remoteEval(2048,CStatus,0,$CommandStrings::Completed);
}

function command_strings::save()
{
    AddExportText("    // Strings for Command Acknowledged, Declined and Completed");
    ExportSetting("    $CommandStrings::Acknowledged", "Command Acknowledged~wacknow");
    ExportSetting("    $CommandStrings::Declined", "Unable to complete objective~wobjxcmp");
    ExportSetting("    $CommandStrings::Completed", "Objective Completed~wobjcomp");
}

WriterPrefs::save("command_strings");

function command_strings::init()
{
    needs("writer\\command_strings.cs", "writer\\save.cs 2.3");
}
Event::Attach(writerInit, "command_strings::init();");

if(!$UsingWriterLoader) command_strings::init();
